Skip to main content

Calculate International Tax and VAT


Calculating International Tax and VAT

Before calculating international tax, make sure that the country is on the list of Supported Countries and Regions.

VAT Number

When you include the merchantInformation.vatRegistrationNumber or orderInformation.lineItems.vatRegistrationNumber field and VAT rules and rates are applicable, the service calculates a VAT tax, and the relevant tax amounts are returned in the response.

There are some countries where VAT registration is not required. More details are mentioned in Supported Countries and Regions.

Product Codes

If a product is subject to special tax considerations, provide the appropriate tax product code in the orderInformation.lineItems.productCode field in the request. To use a product code that is not listed in the available guides, contact customer support for information about how to proceed.

Tax Per Item

When the tax calculation service succeeds, the response includes a tax amount for each item and indicates whether the tax amount was calculated by the tax calculation service or provided by you.

POST /vas/v2/tax

POST /vas/v2/tax

POST /vas/v2/tax


Example: Processing an International Tax Calculation

{  "clientReferenceInformation": {    "code": "TAX_TC001"  },  "taxInformation": {    "showTaxPerLineItem": "Yes"  },  "orderInformation": {    "amountDetails": {      "currency": "EUR"    },    "billTo": {      "country": "FR"    },    "lineItems": [      {        "productSKU": "07-12-00657",        "productCode": "P0000000",        "quantity": 1,        "productName": "Chewing Gum",        "unitPrice": 1200      }    ]  },  "merchantInformation": {    "vatRegistrationNumber": "123456789"  }}
{  "_links": {    "void": {      "method": "PATCH",      "href": "/vas/v2/tax/6679363184546074003954"    }  },  "clientReferenceInformation": {    "code": "TAX_TC001"  },  "id": "6679363184546074003954",  "orderInformation": {    "lineItems": [      {        "taxDetails": [          { "amount": "240.00", "type": "national" }        ],        "jurisdiction": [          {            "country": "FR",            "code": "FR",            "taxable": "1200.00",            "rate": "0.200000",            "name": "FRANCE",            "type": "Country",            "region": "FR",            "taxAmount": "240.00",            "taxName": "Standard"          }        ],        "taxAmount": "240.00"      }    ],    "taxDetails": [      { "amount": "240.00", "type": "national" }    ],    "taxAmount": "240.00",    "amountDetails": {      "totalAmount": "1440.00",      "currency": "EUR"    }  },  "status": "COMPLETED",  "submitTimeUtc": "2022-11-08T19:38:38Z",  "taxInformation": {    "commitIndicator": "false",    "refundIndicator": "false"  }}

Required Fields

Use these fields to perform an international tax and VAT calculation.

merchantInformation.vatRegistrationNumber

Merchant's VAT registration number.

orderInformation.amountDetails.currency

Currency used for the order.

orderInformation.billTo.country

Country of the billing address.

orderInformation.lineItems.unitPrice

Unit price of the line item.

taxInformation.showTaxPerLineItem

Indicates whether to return tax amounts per line item in the response.


Optional Fields

Select from these optional fields to perform a tax calculation.

buyerInformation.vatRegistrationNumber

Buyer's VAT registration number.

clientReferenceInformation.code

Merchant-generated order reference or tracking number.

clientReferenceInformation.partner.developerId

Identifier for the developer.

clientReferenceInformation.partner.solutionId

Identifier for the partner solution.

orderInformation.billTo.address1

First line of the billing address.

orderInformation.billTo.address2

Second line of the billing address.

orderInformation.billTo.administrativeArea

State or province of the billing address.

orderInformation.billTo.locality

City or locality of the billing address.

orderInformation.billTo.postalCode

Postal code of the billing address.

orderInformation.invoiceDetails.invoiceDate

Date of the invoice. Use to apply a specific date's tax rate.

orderInformation.lineItems.buyerVatRegistrationNumber

Buyer's VAT registration number at the line item level.

orderInformation.lineItems.orderAcceptance.administrativeArea

Administrative area where the order was accepted at the line item level.

orderInformation.lineItems.orderAcceptance.country

Country where the order was accepted at the line item level.

orderInformation.lineItems.orderAcceptance.locality

Locality where the order was accepted at the line item level.

orderInformation.lineItems.orderAcceptance.postalCode

Postal code where the order was accepted at the line item level.

orderInformation.lineItems.orderOrigin.administrativeArea

Administrative area of the order origin at the line item level.

orderInformation.lineItems.orderOrigin.country

Country of the order origin at the line item level.

orderInformation.lineItems.orderOrigin.locality

Locality of the order origin at the line item level.

orderInformation.lineItems.orderOrigin.postalCode

Postal code of the order origin at the line item level.

orderInformation.lineItems.productCode

Tax product code for the line item.

orderInformation.lineItems.productName

Name of the product at the line item level.

orderInformation.lineItems.productSku

SKU of the product at the line item level.

orderInformation.lineItems.quantity

Quantity of the product at the line item level.

orderInformation.lineItems.sellerVatRegistrationNumber

Seller's VAT registration number at the line item level.

orderInformation.lineItems.shipFromAdministrativeArea

Administrative area from which the item ships.

orderInformation.lineItems.shipFromCountry

Country from which the item ships.

orderInformation.lineItems.shipFromLocality

Locality from which the item ships.

orderInformation.lineItems.shipFromPostalCode

Postal code from which the item ships.

orderInformation.lineItems.taxAmount

Tax amount for the line item.

orderInformation.orderAcceptance.administrativeArea

Administrative area where the order was accepted at the order level.

orderInformation.orderAcceptance.country

Country where the order was accepted at the order level.

orderInformation.orderAcceptance.locality

Locality where the order was accepted at the order level.

orderInformation.orderAcceptance.postalCode

Postal code where the order was accepted at the order level.

orderInformation.orderOrigin.administrativeArea

Administrative area of the order origin at the order level.

orderInformation.orderOrigin.country

Country of the order origin at the order level.

orderInformation.orderOrigin.locality

Locality of the order origin at the order level.

orderInformation.orderOrigin.postalCode

Postal code of the order origin at the order level.

orderInformation.shippingDetails.shipFromAdministrativeArea

Administrative area from which the shipment originates at the order level.

orderInformation.shippingDetails.shipFromCountry

Country from which the shipment originates at the order level.

orderInformation.shippingDetails.shipFromLocality

Locality from which the shipment originates at the order level.

orderInformation.shippingDetails.shipFromPostalCode

Postal code from which the shipment originates at the order level.

orderInformation.shipTo.address1

First line of the shipping address.

orderInformation.shipTo.address2

Second line of the shipping address.

orderInformation.shipTo.address3

Third line of the shipping address.

orderInformation.shipTo.administrativeArea

State or province of the shipping address.

orderInformation.shipTo.country

Country of the shipping address.

orderInformation.shipTo.locality

City or locality of the shipping address.

orderInformation.shipTo.postalCode

Postal code of the shipping address.

taxInformation.commitIndicator

Set field to true to commit tax calculation.

taxInformation.dateOverrideReason

Reason for overriding the reporting date.

taxInformation.nexus

Specify the states in which you have nexus. If you include this field, do not include the taxInformation.noNexus field.

taxInformation.noNexus

Specify the states in which you do not have nexus. If you include this field, do not include the taxInformation.nexus field.

taxInformation.refundIndicator

Set to true to indicate a refund tax calculation.

taxInformation.reportingDate

Date to use for reporting purposes.

Last published: September 29, 2026